Subject: ?WATER LILIES IN VERMONT

From: [email-masked] (BOURRET)
Date: 15 Mar 1995 05:32:44 -0500

References: <[email-masked]> 

77> most part. I am thinking of water lilies in some of the shallow
77> ponds (6-12") I am making and would like to share the experience of
77> others in northern (zone 4a) climates. Also, are there other
77> flowering bog plants or ones with interesting foliage that might do
77> well here.

Hi, I live in zone 4 in Maine.  Most of my property is one big bog.   
I have Iris versicolor (Blue) and Iris pseudacorus (Yellow) growing in 
the wet areas. I would be glad to send you some of them when the snow 
is gone.  Please e-mail me at [email-masked]

Lisa D. Bourret
W. Newfield, Maine
 * RM 1.3 02833 * Live from Beautiful Downtown West Newfield